﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWpf
{
    public class ViewModel : ViewModelBase
    {
        public ObservableCollection<Appointment> Appointments { get; set; }

        public ViewModel()
        {
            this.Appointments = new ObservableCollection<Appointment> 
            { 
             new Appointment { Start = DateTime.Now, End= DateTime.Now.AddHours(1)},
             new Appointment { Start = DateTime.Now, End= DateTime.Now.AddHours(1)},
             new Appointment { Start = DateTime.Now, End= DateTime.Now.AddHours(1)},
             new Appointment { Start = DateTime.Now, End= DateTime.Now.AddHours(1)},
             new Appointment { Start = DateTime.Now, End= DateTime.Now.AddHours(1)},
             new Appointment { Start = DateTime.Now, End= DateTime.Now.AddHours(1)},
            };

        }


        public Func<object, bool> GroupFilter
        {
            get
            {
                return GroupFilterFunc;
            }
        }

        private bool GroupFilterFunc(object groupName)
        {
            bool ret = true;

            var res = groupName as Resource;

            if (res != null && res.DisplayName == "Res1")
            {
                ret = false;
            }

            return ret;
        }

    }
}
